#ifndef ccbrealdriver_h
#define ccbrealdriver_h

/*
 * CCBRealDriverData objects encapsulate the resources needed by
 * the real CCB device driver.
 */
typedef struct CCBRealDriverData CCBRealDriverData;

CCBRealDriverData *new_CCBRealDriverData(void);
CCBRealDriverData *del_CCBRealDriverData(CCBRealDriverData *data);

/*
 * Allocate the driver interface object of the real CCB device-driver.
 */
CCBServerDriver *new_CCBRealDriver(CCBRealDriverData *data);

#endif
